import request from '@/utils/request'

// 获取运单物流列表
export function getLogisticsWaybill(parameter) {
  return request({
    url: '/api/waybill-logistics',
    method: 'get',
    params: parameter
  })
}
// 获取运单列表
export function getWaybillTask(parameter) {
  return request({
    url: '/api/waybill-task',
    method: 'get',
    params: parameter
  })
}

// 获取温湿度列表
export function waybillTaskData(parameter) {
  return request({
    url: '/api/waybill-task/data',
    method: 'post',
    data: parameter
  })
}

// 获取轨迹数据列表
export function waybillTaskLocus(parameter) {
  return request({
    url: '/api/waybill-task/locus',
    method: 'get',
    params: parameter
  })
}

// 获取最新一条温湿度数据
export function wayNewestLocus(parameter) {
  return request({
    url: '/api/waybill-task/newest-locus',
    method: 'post',
    data: parameter
  })
}
// 修改运单任务时间
export function putWaybillTask(parameter) {
  return request({
    url: '/api/waybill-task',
    method: 'put',
    data: parameter
  })
}

// 修改物流时间
export function putWaybillLogistics(parameter) {
  return request({
    url: '/api/waybill-logistics',
    method: 'put',
    data: parameter
  })
}
